#!/bin/python3

import pandas as pd
import pbxplore as pbx
import sys

if __name__ == "__main__":
    if len(sys.argv) != 2:
        print("Error : usage $ python3 projet8 md.pdb")
        exit()
    
    conformations = [] # list to store PB format chains

    for chain_name, chain in pbx.chains_from_files([sys.argv[1]]): 
        dihedrals = chain.get_phi_psi_angles() 
        pb_seq = pbx.assign(dihedrals) 
        conformations.append(pb_seq) 
    
    df = pd.DataFrame() # pandas dataframe to store conformations

    for conf in conformations: 
        df = df.append(pd.Series(list(conf)), ignore_index=True)

    df.to_csv("results/md.csv", index=False)
